Subject: Re: [PATCH v7 07/10] ppc64 ftrace: disable profiling for some files

From: Michael Ellerman <[email-masked]>
Date: Wed, 10 Feb 2016 11:33:33 +1100

On Mon, 2016-01-25 at 16:31 +0100, Torsten Duwe wrote:

> This patch complements the "notrace" attribute for selected functions.
> It adds -mprofile-kernel to the cc flags to be stripped from the command
> line for code-patching.o and feature-fixups.o, in addition to "-pg"

This could probably be folded into patch 5, and the combined patch would be
"remove -mprofile-kernel in all the same places we remove -pg and for the same
reasons".

I can't think of anywhere we would want to disable -pg but not disable
-mprofile-kernel? Or vice versa.

cheers